frontend-build-react:
  stage: build
  image: acklenavenue/aws-node-build
  script:
    - cd frontend
    - NAME_PREFIX="${CI_PROJECT_NAME}-dn-${CI_COMMIT_REF_NAME}"
    - NAME_PREFIX="${NAME_PREFIX:0:18}"
    - NAME_PREFIX="${NAME_PREFIX//-_}"
    - NAME_PREFIX=$(echo "$NAME_PREFIX" | tr '[:upper:]' '[:lower:]')
    - export NAME_PREFIX=${NAME_PREFIX%"-"}
    - export BACKEND_URL="https://${NAME_PREFIX}.${HOSTED_ZONE_NAME}"
    - export AUTH0_REDIRECT_URI="https://${NAME_PREFIX}-frontend.${HOSTED_ZONE_NAME}"
    - export AUTH0_CLIENT_ID=${AUTH0_CLIENT_ID_DEV}
    - export AUTH0_DOMAIN=${AUTH0_DOMAIN_DEV}
    - export AUTH0_AUDIENCE=${AUTH0_AUDIENCE_DEV}
    - export AUTH0_CALLBACK="${AUTH0_REDIRECT_URI}/callback"
    - npm install
    - npm run build:prod
  artifacts:
    paths:
      - frontend/dist/*
  cache:
    key: frontend-build-cache
    paths:
      - frontend/node_modules/
    policy: push
  only:
    refs:
      - branches
    changes:
      - frontend/**/*
      - .gitlab-ci.yml
      - ci/gitlab/**/*
